%if 0%{?fedora} > 0
%define disttag fedora
%else
%define disttag el
%endif
Name:           apel-release
Version:        7
Release:        4.%{disttag}
Summary:        AFI Packages for Enterprise Linux repository configuration

Group:          System Environment/Base
License:        GPL
URL:            https://apel.jinr.ru/

# This is a distributor maintained package which is specific to
# our distribution.  Thus the source is only available from
# within this srpm.

Source1:        GPL
Source2:        apfc.repo
Source3:        apfc-testing.repo
Source4:        apel.repo
Source5:        apel-testing.repo
Source6:        https://apel.jinr.ru/RPM-GPG-KEY-APEL-2D512D15
Source7:        https://apel.jinr.ru/RPM-GPG-KEY-APEL-4E3F5C03

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:     noarch
%if 0%{?fedora} > 0
Obsoletes:      apfc-release <= %{version}
Provides:       apfc-release = %{version}
Conflicts:      apfc-release
%else
Obsoletes:      apel5-release
%endif

%description
This package contains the AFI (russian for Physical Research Automation) public repository configuration.

%prep
%setup -q  -c -T
install -pm 644 %{SOURCE1} .
install -pm 644 %{SOURCE6} .
install -pm 644 %{SOURCE7} .

%build


%install
rm -rf $RPM_BUILD_ROOT

#GPG Key
install -Dpm 644 %{SOURCE6} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-APEL-2D512D15
install -Dpm 644 %{SOURCE7} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-APEL-4E3F5C03

# yum
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
%if 0%{?fedora} > 0
install -pm 644 %{SOURCE2} \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/apel.repo

install -pm 644 %{SOURCE3} \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/apel-testing.repo
%else
install -pm 644 %{SOURCE4} \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/apel.repo

install -pm 644 %{SOURCE5} \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/apel-testing.repo
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc GPL
%config(noreplace) /etc/yum.repos.d/*
/etc/pki/rpm-gpg/*


%changelog
* Thu Aug 10 2023 Ilia Slepnev <islepnev@jinr.ru> - 7.4
  add rpm signing key 4E3F5C03

* Tue May 11 2021 Ilia Slepnev <islepnev@jinr.ru> - 7.3
  remove failovermethod, use HTTPS

* Mon Jun 10 2019 Ilia Slepnev <islepnev@jinr.ru> - 7.2
  Updated gpg key

* Mon Oct 10 2016 Ilia Slepnev <islepnev@jinr.ru> - 7.1
  Repository moved to apel.jinr.ru

* Thu Oct  6 2016 Ilia Slepnev <islepnev@jinr.ru> - 7.0
  Combined source package for RHEL and Fedora

* Wed Jun 24 2015 Ilia Slepnev <islepnev@jinr.ru>
- Set metadata expire

* Mon Jun 22 2015 Ilia Slepnev <islepnev@jinr.ru>
- Updated repository key

* Tue Nov 19 2013 Ilia Slepnev <islepnev@jinr.ru>
- Updated repository key

* Wed Apr 25 2012 Ilia Slepnev <islepnev@jinr.ru>
- Universal package for EL5, EL6

* Wed Nov 26 2008 Ilia Slepnev <islepnev@jinr.ru>
- Initial Package for RHEL 5
